spring:
  cloud:
    nacos:
      config:
        password:
        username:
      discovery:
        server-addr: 127.0.0.1:8848
        service: jeecg-gateway
        namespace:
    gateway:
      discovery:
        locator:
          enabled: true
      globalcors:
        cors-configurations:
          '[/**]':
            allowCredentials: true
            allowedOrigins: "*"
            allowedMethods: "*"
            allowedHeaders: "*"
      routes:
      - id: jeecg-system
        uri: lb://jeecg-system
        predicates:
          - Path=/jeecg-boot/**
        filters:
          - DedupeResponseHeader=Access-Control-Allow-Credentials Access-Control-Allow-Origin
      - id: jeecg-cloud-finance
        uri: lb://jeecg-cloud-finance
        filters:
          - DedupeResponseHeader=Access-Control-Allow-Credentials Access-Control-Allow-Origin
        predicates:
          - Path=/finance/**
      - id: jeecg-bytedance-ad
        uri: lb://jeecg-bytedance-ad
        predicates:
          - Path=/bytedance/ad/**
        filters:
          - DedupeResponseHeader=Access-Control-Allow-Credentials Access-Control-Allow-Origin
      - id: jeecg-cloud-report
        uri: lb://jeecg-cloud-report
        predicates:
          - Path=/reportModule/**
        filters:
          - DedupeResponseHeader=Access-Control-Allow-Credentials Access-Control-Allow-Origin
      - id: jeecg-cloud-material
        uri: lb://jeecg-cloud-material
        predicates:
          - Path=/material/**
        filters:
          - DedupeResponseHeader=Access-Control-Allow-Credentials Access-Control-Allow-Origin
# hystrix 信号量隔离，3秒后自动超时
hystrix:
  enabled: true
  shareSecurityContext: true
  command:
    default:
      execution:
        isolation:
          strategy: SEMAPHORE
          thread:
            timeoutInMilliseconds: 3000
jeecg:
  route:
    config:
      data-id: mate-gateway-router
      group: DEFAULT_GROUP
      data-type: yml
